xcb_xvmc_create_surface(3)

NAME
xcb_xvmc_create_surface -

SYNOPSIS
#include <xcb/xvmc.h>

  Request function

xcb_xvmc_create_surface_cookie_t xcb_xvmc_create_surface(xcb_connection_t *conn, xcb_xvmc_surface_t surface_id, xcb_xvmc_context_t context_id);

  Reply datastructure

typedef struct xcb_xvmc_create_surface_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint8_t  pad1[24];
} xcb_xvmc_create_surface_reply_t;

  Reply function

xcb_xvmc_create_surface_reply_t *xcb_xvmc_create_surface_reply(xcb_connection_t *conn, xcb_xvmc_create_surface_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

uint32_t *xcb_xvmc_create_surface_priv_data(const xcb_xvmc_create_surface_request_t *reply);

int xcb_xvmc_create_surface_priv_data_length(const xcb_xvmc_create_surface_reply_t *reply);

xcb_generic_iterator_t xcb_xvmc_create_surface_priv_data_end(const xcb_xvmc_create_surface_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

surface_id
    TODO: NOT YET DOCUMENTED.

context_id
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XVMC_CREATE_SURFACE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

DESCRIPTION

RETURN VALUE
Returns an xcb_xvmc_create_surface_cookie_t. Errors have to be handled when calling the reply function xcb_xvmc_create_surface_reply. If you want to handle errors in the event loop instead, use xcb_xvmc_create_surface_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xvmc.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.